<script setup>
import {onMounted, reactive} from "vue";
const props = defineProps({
	visible: {
		type: Boolean,
		default: false
	}
});
const emit = defineEmits(["update:visible"]);

const layout = reactive({
	gutter: 16,
	span: 12
});

const params = reactive({
	name: ""
});

const rules = reactive({
	name: []
});

const close = ()=>{
	emit("update:visible", false);
}

onMounted(()=>{

});
</script>

<template>
<div class="params-container">
	<div class="params-content">
		<el-form
			ref="form"
			:model="params"
			:rules="rules"
			label-position="top">
			<el-row :gutter="layout.gutter">
				<el-col :span="layout.span">
					<el-form-item label="车辆名称" prop="name">
						<el-input v-model="params.name" />
					</el-form-item>
				</el-col>
				<el-col :span="layout.span">
					<el-form-item label="车辆名称" prop="name">
						<el-input v-model="params.name" />
					</el-form-item>
				</el-col>
			</el-row>
		</el-form>
	</div>
	<div class="params-footer">
		<el-button type="primary">确定</el-button>
		<el-button type="primary" @click="close">取消</el-button>
	</div>
</div>
</template>

<style scoped lang="less">
.params-container {
	width: 600px;
	background-color: #FFFFFF;
	.params-content {
		padding: 8px;
	}
	.params-footer {
		padding: 8px;
		text-align: right;
	}
}
</style>
